package com.yihu.wlyy.entity.feedback;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.*;

/**
 * Created by Reece on 2017/5/6.
 */
@Entity
@Table(name = "wlyy_feedback")
public class Feedback extends IdEntity{

//    意见反馈编码
    @Column(name="code")
    private String code;

//    反馈人编码
    @Column(name="creater")
    private String creater;

//    反馈人身份 1、患者  2、医生
    @Column(name="identity")
    private  int identity;

//    问题描述
    @Column(name="description")
    private String description;

//    反馈类别：1、优化建议、2、提交bug、3、新功能建议、4、其他
    @Column(name="type")
    private int type;

//    图片路径，逗号分隔
    @Column(name="images")
    private String images;

//    联系方式： qq号或者邮箱
    @Column(name="contact")
    private String contact;

//    状态 0、未读 1、已读
    @Column(name="status")
    private int status;

    //逻辑删除 0.删除   1.正常
    @Column(name="del")
    private Integer del;

    //创建人名字
    @Column(name="creater_name")
    private String createrName;

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getCreaterName() {
        return createrName;
    }

    public void setCreaterName(String createrName) {
        this.createrName = createrName;
    }

    public Feedback(String code, String creater, int identity, String description, int type, String images, String contact, int status, Integer del, String createrName) {
        this.code = code;
        this.creater = creater;
        this.identity = identity;
        this.description = description;
        this.type = type;
        this.images = images;
        this.contact = contact;
        this.status = status;
        this.del = del;
        this.createrName = createrName;
    }

    public Feedback() {
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public int getIdentity() {
        return identity;
    }

    public void setIdentity(int identity) {
        this.identity = identity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String images) {
        this.images = images;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
